cURL
curl --request GET \
--url https://api.pipedream.com/v1/connect/{project_id}/oauth_apps \
--header 'Authorization: Bearer <token>'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
const pageableResponse = await client.oauthApps.list({
after: "after",
before: "before",
limit: 1,
app: "app",
q: "q"
});
for await (const item of pageableResponse) {
console.log(item);
}
// Or you can manually iterate page-by-page
let page = await client.oauthApps.list({
after: "after",
before: "before",
limit: 1,
app: "app",
q: "q"
});
while (page.hasNextPage()) {
page = page.getNextPage();
}
// You can also access the underlying response
const response = page.response;
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
response = client.oauth_apps.list(
after="after",
before="before",
limit=1,
app="app",
q="q",
)
for item in response:
yield item
# alternatively, you can paginate page-by-page
for page in response.iter_pages():
yield page
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.oauthapps.requests.OauthAppsListRequest;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.oauthApps().list(
OauthAppsListRequest
.builder()
.after("after")
.before("before")
.limit(1)
.app("app")
.q("q")
.build()
);
}
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/oauth_apps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"name_slug": "<string>",
"name": "<string>",
"img_src": "<string>",
"custom_fields_json": "<string>",
"categories": [
"<string>"
],
"featured_weight": 123,
"scope_profiles": [
{
"name": "read_only",
"scopes": [
"<string>"
]
}
],
"client_id": "<string>",
"owner_id": "<string>",
"auth_type": "keys",
"description": "<string>",
"scopes": [
"<string>"
],
"additional_scopes": [
"<string>"
],
"redirect_uri": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"page_info": {
"count": 10,
"total_count": 120,
"start_cursor": "<string>",
"end_cursor": "<string>"
}
}{
"error": "Throttled"
}List OAuth clients
List the custom OAuth clients available to the project, including the parent workspace’s
GET
/
v1
/
connect
/
{project_id}
/
oauth_apps
cURL
curl --request GET \
--url https://api.pipedream.com/v1/connect/{project_id}/oauth_apps \
--header 'Authorization: Bearer <token>'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
const pageableResponse = await client.oauthApps.list({
after: "after",
before: "before",
limit: 1,
app: "app",
q: "q"
});
for await (const item of pageableResponse) {
console.log(item);
}
// Or you can manually iterate page-by-page
let page = await client.oauthApps.list({
after: "after",
before: "before",
limit: 1,
app: "app",
q: "q"
});
while (page.hasNextPage()) {
page = page.getNextPage();
}
// You can also access the underlying response
const response = page.response;
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
response = client.oauth_apps.list(
after="after",
before="before",
limit=1,
app="app",
q="q",
)
for item in response:
yield item
# alternatively, you can paginate page-by-page
for page in response.iter_pages():
yield page
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.oauthapps.requests.OauthAppsListRequest;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.oauthApps().list(
OauthAppsListRequest
.builder()
.after("after")
.before("before")
.limit(1)
.app("app")
.q("q")
.build()
);
}
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/oauth_apps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"name_slug": "<string>",
"name": "<string>",
"img_src": "<string>",
"custom_fields_json": "<string>",
"categories": [
"<string>"
],
"featured_weight": 123,
"scope_profiles": [
{
"name": "read_only",
"scopes": [
"<string>"
]
}
],
"client_id": "<string>",
"owner_id": "<string>",
"auth_type": "keys",
"description": "<string>",
"scopes": [
"<string>"
],
"additional_scopes": [
"<string>"
],
"redirect_uri": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"page_info": {
"count": 10,
"total_count": 120,
"start_cursor": "<string>",
"end_cursor": "<string>"
}
}{
"error": "Throttled"
}Authorizations
A short-lived OAuth access token for server-side requests. Generate one via the Generate OAuth Token flow or automatically when initializing the SDK client.
Path Parameters
The project ID, which starts with proj_.
Pattern:
^proj_[a-zA-Z0-9]+$Query Parameters
The cursor to start from for pagination
The cursor to end before for pagination
The maximum number of results to return
Only return OAuth clients for this app (ID or name slug)
A search query to filter the OAuth clients by name or description
Was this page helpful?